“执行请求动作,连接信息必需提供”问题解决方法

当你使用一个新的服务器进行wordpress安装后,或搬家的时候,可能会遇到这样的问题,

就是在升级和安装wordpress插件的时候,会提示:

执行请求动作,连接信息必需提供
主机名
用户名
密码
连接类型

出现这个信息的原因是,文件权限问题。
wordpress一般是运行于apache服务器环境之上,
而你的wordpress所在目录的所有者,与apache的进程所有者不一样,
所以权限出现问题。

现在你需要做以下几步:
1、查看apache的进程所有者是谁
新建一个php文件,写入内容如下:

<?php echo(exec(“whoami”)); ?>

然后在浏览器中运行,即可看到所有者名称。
比如是,wpcourse.

2、用root进入到wordpress所在的目录
执行:

chown -R wpcourse: *

3、根据网络上的资料,执行了上面两步,应该就可以了,
但我实践的结果是,还是不行,
于是,最后一步:
到wp-config.php,加入一句:

define(‘FS_METHOD’, ‘direct’);

这样就没问题了。

文章链接:http://www.xszzz.com/2014/10/750.html  本站文章大部分整理自互联网,若侵犯您权益请留言告知,我们会及时处理。

关于本文作者:洃少

醉风云博主,爱好建站和视觉设计。曾从事物资管理,内容运营和产品运营工作,现为自由职业者。